<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class PageKontaktSms extends PageKontakt
{
  protected $errorMessage;
  protected $successMessage;

  
  public function __construct(
    $pPageTitle,
    $pPageId,
    $pTool,
    $pUeberschrift,
    $pBetreff,
    $pInhaltLabel,
    $pInhalt,
    $pErrorMessage = '',
    $pSuccessMessage = '',
    $pMaxLength = 160,
    $pZeigeBetreff = false
  ) {
    parent::__construct(
      $pPageTitle,
      $pPageId,
      $pTool,
      $pUeberschrift,
      $pBetreff,
      $pInhaltLabel,
      $pInhalt,
      $pZeigeBetreff,
      '',
      'info',
      'smsMessage',
      $pMaxLength
    );
    $this->errorMessage = $pErrorMessage;
    $this->successMessage = $pSuccessMessage;
  }

  
  protected function _getMessages()
  {
    $msg = '';
    if ($this->errorMessage != '') {
      $msg .= '<div class="faultmess">' . $this->errorMessage . '</div>';
    }

    if ($this->successMessage != '') {
      $msg .= '<div class="successmess">' . $this->successMessage . '</div>';
    }

    return $msg;
  }

  
  protected function _getHinweis()
  {
    return '<div id="SmsNachrichtHinweis">Aus technischen Gründen kann das Euro Zeichen nicht verwendet werden.</div>';
  }
}